#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	GSL
Summary:	Math::GSL Perl module - resticted interface to GNU Scientific Library
Summary(pl.UTF-8):	Moduł Perla Math::GSL - ograniczony interfejs do GNU Scientific Library
Name:		perl-Math-GSL
Version:	0.01
Release:	7
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Math/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	abc4474bbbf5439b46a551284013cb35
URL:		http://search.cpan.org/dist/Math-GSL/
BuildRequires:	gsl-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Math::GSL Perl module is a very resticted perl interface to -lgsl -
GNU Scientific Library. Only the routines relating the solving of
polynomials are exported. It exists to provide that function to
"tkscope" in Audio::Data.

%description -l pl.UTF-8
Moduł Perla Math::GSL stanowi bardzo ograniczony interfejs do -lgsl -
Biblioteki Naukowej GNU (GNU Scientific Library). Eksportuje jedynie
funkcje dotyczące rozwiązywania równań wielomianowych. Istnieje, aby
udostępnić te funkcje "tkscope" w module Audio::Data.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorarch}/Math/*
%dir %{perl_vendorarch}/auto/Math/GSL
%attr(755,root,root) %{perl_vendorarch}/auto/Math/GSL/*.so
%changelog
* Fri Sep 12 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Math-GSL.git;a=log;h=master

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> acff5c3
- release 7 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> c554639
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 0b8b8ce
- rebuild for perl 5.20
- release 6 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> a3fcb54
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 271f276
- release 4

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> b3c27b4
- BR: gsl-devel

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 8fd8541
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> bf6ff61
- rel 3

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 80fb6af
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> caf6cc4
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c17612c
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> cac32f3
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> 74ad509
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Thu May 06 2004 ankry <ankry@pld-linux.org> 260b8a7
- fixed perl-devel BR

* Fri Apr 23 2004 ankry <ankry@pld-linux.org> 905a8f8
- license fixes, unification

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 0eef5e4
- ported to new bconds

* Tue Jul 08 2003 ankry <ankry@pld-linux.org> 0f74ebf
- new, rel. 2

